diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/fdbet-ff-mac-scheduler.cc ns-3.44/src/lte/model/fdbet-ff-mac-scheduler.cc
--- ns-3.43/src/lte/model/fdbet-ff-mac-scheduler.cc	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/fdbet-ff-mac-scheduler.cc	2025-03-09 16:55:49.599372000 -0700
@@ -12,11 +12,11 @@
 #include "lte-amc.h"
 #include "lte-vendor-specific-parameters.h"
 
-#include <ns3/boolean.h>
-#include <ns3/log.h>
-#include <ns3/math.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
+#include "ns3/boolean.h"
+#include "ns3/log.h"
+#include "ns3/math.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
 
 #include <cfloat>
 #include <set>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/fdbet-ff-mac-scheduler.h ns-3.44/src/lte/model/fdbet-ff-mac-scheduler.h
--- ns-3.43/src/lte/model/fdbet-ff-mac-scheduler.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/fdbet-ff-mac-scheduler.h	2025-03-09 16:55:49.599372000 -0700
@@ -17,7 +17,7 @@
 #include "lte-common.h"
 #include "lte-ffr-sap.h"
 
-#include <ns3/nstime.h>
+#include "ns3/nstime.h"
 
 #include <map>
 #include <vector>
@@ -35,8 +35,8 @@
 };
 
 /**
- * \ingroup ff-api
- * \brief Implements the SCHED SAP and CSCHED SAP for a Frequency Domain Blind Equal Throughput
+ * @ingroup ff-api
+ * @brief Implements the SCHED SAP and CSCHED SAP for a Frequency Domain Blind Equal Throughput
  * scheduler
  *
  * This class implements the interface defined by the FfMacScheduler abstract class
@@ -46,7 +46,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates the MAC Scheduler interface implementation
      */
@@ -60,8 +60,8 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -82,8 +82,8 @@
 
     /**
      * Transmission mode configuration update function
-     * \param rnti the RNTI
-     * \param txMode the transmit mode
+     * @param rnti the RNTI
+     * @param txMode the transmit mode
      */
     void TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode);
 
@@ -95,31 +95,31 @@
 
     /**
      * CSched cell config request function
-     * \param params the CSched cell config request parameters
+     * @param params the CSched cell config request parameters
      */
     void DoCschedCellConfigReq(const FfMacCschedSapProvider::CschedCellConfigReqParameters& params);
 
     /**
      * Csched UE config request function
-     * \param params the CSched UE config request parameters
+     * @param params the CSched UE config request parameters
      */
     void DoCschedUeConfigReq(const FfMacCschedSapProvider::CschedUeConfigReqParameters& params);
 
     /**
      * Csched LC config request function
-     * \param params the CSched LC config request parameters
+     * @param params the CSched LC config request parameters
      */
     void DoCschedLcConfigReq(const FfMacCschedSapProvider::CschedLcConfigReqParameters& params);
 
     /**
      * CSched LC release request function
-     * \param params the CSched LC release request parameters
+     * @param params the CSched LC release request parameters
      */
     void DoCschedLcReleaseReq(const FfMacCschedSapProvider::CschedLcReleaseReqParameters& params);
 
     /**
      * CSched UE release request function
-     * \param params the CSChed UE release request parameters
+     * @param params the CSChed UE release request parameters
      */
     void DoCschedUeReleaseReq(const FfMacCschedSapProvider::CschedUeReleaseReqParameters& params);
 
@@ -130,93 +130,93 @@
 
     /**
      * Sched DL RLC buffer request function
-     * \param params the Sched DL RLC buffer request parameters
+     * @param params the Sched DL RLC buffer request parameters
      */
     void DoSchedDlRlcBufferReq(const FfMacSchedSapProvider::SchedDlRlcBufferReqParameters& params);
 
     /**
      * Sched DL paging buffer request function
-     * \param params the Sched DL paging buffer request parameters
+     * @param params the Sched DL paging buffer request parameters
      */
     void DoSchedDlPagingBufferReq(
         const FfMacSchedSapProvider::SchedDlPagingBufferReqParameters& params);
 
     /**
      * Sched DL MAC buffer request function
-     * \param params the Sched DL MAC buffer request parameters
+     * @param params the Sched DL MAC buffer request parameters
      */
     void DoSchedDlMacBufferReq(const FfMacSchedSapProvider::SchedDlMacBufferReqParameters& params);
 
     /**
      * Sched DL trigger request function
      *
-     * \param params FfMacSchedSapProvider::SchedDlTriggerReqParameters&
+     * @param params FfMacSchedSapProvider::SchedDlTriggerReqParameters&
      */
     void DoSchedDlTriggerReq(const FfMacSchedSapProvider::SchedDlTriggerReqParameters& params);
 
     /**
      * Sched DL RACH info request function
-     * \param params the Sched DL RACH info request parameters
+     * @param params the Sched DL RACH info request parameters
      */
     void DoSchedDlRachInfoReq(const FfMacSchedSapProvider::SchedDlRachInfoReqParameters& params);
 
     /**
      * Sched DL CGI info request function
-     * \param params the Sched DL CGI info request parameters
+     * @param params the Sched DL CGI info request parameters
      */
     void DoSchedDlCqiInfoReq(const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params);
 
     /**
      * Sched UL trigger request function
-     * \param params the Sched UL trigger request parameters
+     * @param params the Sched UL trigger request parameters
      */
     void DoSchedUlTriggerReq(const FfMacSchedSapProvider::SchedUlTriggerReqParameters& params);
 
     /**
      * Sched UL noise interference request function
-     * \param params the Sched UL noise interference request parameters
+     * @param params the Sched UL noise interference request parameters
      */
     void DoSchedUlNoiseInterferenceReq(
         const FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters& params);
 
     /**
      * Sched UL SR info request function
-     * \param params the Schedule UL SR info request parameters
+     * @param params the Schedule UL SR info request parameters
      */
     void DoSchedUlSrInfoReq(const FfMacSchedSapProvider::SchedUlSrInfoReqParameters& params);
 
     /**
      * Sched UL MAC control info request function
-     * \param params the Sched UL MAC control info request parameters
+     * @param params the Sched UL MAC control info request parameters
      */
     void DoSchedUlMacCtrlInfoReq(
         const FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters& params);
 
     /**
      * Sched UL CGI info request function
-     * \param params the Sched UL CGI info request parameters
+     * @param params the Sched UL CGI info request parameters
      */
     void DoSchedUlCqiInfoReq(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params);
 
     /**
      * Get RBG size function
-     * \param dlbandwidth the DL bandwidth
-     * \returns the RBG size
+     * @param dlbandwidth the DL bandwidth
+     * @returns the RBG size
      */
     int GetRbgSize(int dlbandwidth);
 
     /**
      * LC active per flow function
-     * \param rnti the RNTI
-     * \returns the LC active per flow
+     * @param rnti the RNTI
+     * @returns the LC active per flow
      */
     unsigned int LcActivePerFlow(uint16_t rnti);
 
     /**
      * Estimate UL SNR
-     * \param rnti the RNTI
-     * \param rb the RB
-     * \returns the UL SINR
+     * @param rnti the RNTI
+     * @param rb the RB
+     * @returns the UL SINR
      */
     double EstimateUlSinr(uint16_t rnti, uint16_t rb);
 
@@ -227,36 +227,36 @@
 
     /**
      * Update DL RLC buffer info
-     * \param rnti the RNTI
-     * \param lcid the LCID
-     * \param size the size
+     * @param rnti the RNTI
+     * @param lcid the LCID
+     * @param size the size
      */
     void UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size);
     /**
      * Update UL RLC buffer info
-     * \param rnti the RNTI
-     * \param size the size
+     * @param rnti the RNTI
+     * @param size the size
      */
     void UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size);
 
     /**
-     * \brief Update and return a new process Id for the RNTI specified
+     * @brief Update and return a new process Id for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * @param rnti the RNTI of the UE to be updated
+     * @return the process id  value
      */
     uint8_t UpdateHarqProcessId(uint16_t rnti);
 
     /**
-     * \brief Return the availability of free process for the RNTI specified
+     * @brief Return the availability of free process for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the availability
+     * @param rnti the RNTI of the UE to be updated
+     * @return the availability
      */
     bool HarqProcessAvailability(uint16_t rnti);
 
     /**
-     * \brief Refresh HARQ processes according to the timers
+     * @brief Refresh HARQ processes according to the timers
      *
      */
     void RefreshHarqProcesses();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/fdmt-ff-mac-scheduler.cc ns-3.44/src/lte/model/fdmt-ff-mac-scheduler.cc
--- ns-3.43/src/lte/model/fdmt-ff-mac-scheduler.cc	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/fdmt-ff-mac-scheduler.cc	2025-03-09 16:55:49.599372000 -0700
@@ -12,11 +12,11 @@
 #include "lte-amc.h"
 #include "lte-vendor-specific-parameters.h"
 
-#include <ns3/boolean.h>
-#include <ns3/log.h>
-#include <ns3/math.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
+#include "ns3/boolean.h"
+#include "ns3/log.h"
+#include "ns3/math.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
 
 #include <cfloat>
 #include <set>
@@ -843,111 +843,112 @@
     for (int i = 0; i < rbgNum; i++)
     {
         NS_LOG_INFO(this << " ALLOCATION for RBG " << i << " of " << rbgNum);
-        if (!rbgMap.at(i))
+        if (rbgMap.at(i))
         {
-            auto itMax = m_flowStatsDl.end();
-            double rcqiMax = 0.0;
-            for (auto it = m_flowStatsDl.begin(); it != m_flowStatsDl.end(); it++)
-            {
-                auto itRnti = rntiAllocated.find(*it);
-                if (itRnti != rntiAllocated.end() || !HarqProcessAvailability(*it))
-                {
-                    // UE already allocated for HARQ or without HARQ process available -> drop it
-                    if (itRnti != rntiAllocated.end())
-                    {
-                        NS_LOG_DEBUG(this << " RNTI discarded for HARQ tx" << (uint16_t)(*it));
-                    }
-                    if (!HarqProcessAvailability(*it))
-                    {
-                        NS_LOG_DEBUG(this << " RNTI discarded for HARQ id" << (uint16_t)(*it));
-                    }
-                    continue;
-                }
+            continue;
+        }
 
-                auto itCqi = m_a30CqiRxed.find(*it);
-                auto itTxMode = m_uesTxMode.find(*it);
-                if (itTxMode == m_uesTxMode.end())
-                {
-                    NS_FATAL_ERROR("No Transmission Mode info on user " << (*it));
-                }
-                auto nLayer = TransmissionModesLayers::TxMode2LayerNum((*itTxMode).second);
-                std::vector<uint8_t> sbCqi;
-                if (itCqi == m_a30CqiRxed.end())
-                {
-                    sbCqi = std::vector<uint8_t>(nLayer, 1); // start with lowest value
-                }
-                else
+        auto itMax = m_flowStatsDl.end();
+        double rcqiMax = 0.0;
+        for (auto it = m_flowStatsDl.begin(); it != m_flowStatsDl.end(); it++)
+        {
+            auto itRnti = rntiAllocated.find(*it);
+            if (itRnti != rntiAllocated.end() || !HarqProcessAvailability(*it))
+            {
+                // UE already allocated for HARQ or without HARQ process available -> drop it
+                if (itRnti != rntiAllocated.end())
                 {
-                    sbCqi = (*itCqi).second.m_higherLayerSelected.at(i).m_sbCqi;
+                    NS_LOG_DEBUG(this << " RNTI discarded for HARQ tx" << (uint16_t)(*it));
                 }
-                uint8_t cqi1 = sbCqi.at(0);
-                uint8_t cqi2 = 0;
-                if (sbCqi.size() > 1)
+                if (!HarqProcessAvailability(*it))
                 {
-                    cqi2 = sbCqi.at(1);
+                    NS_LOG_DEBUG(this << " RNTI discarded for HARQ id" << (uint16_t)(*it));
                 }
-                if ((cqi1 > 0) ||
-                    (cqi2 > 0)) // CQI == 0 means "out of range" (see table 7.2.3-1 of 36.213)
+                continue;
+            }
+
+            auto itCqi = m_a30CqiRxed.find(*it);
+            auto itTxMode = m_uesTxMode.find(*it);
+            if (itTxMode == m_uesTxMode.end())
+            {
+                NS_FATAL_ERROR("No Transmission Mode info on user " << (*it));
+            }
+            auto nLayer = TransmissionModesLayers::TxMode2LayerNum((*itTxMode).second);
+            std::vector<uint8_t> sbCqi;
+            if (itCqi == m_a30CqiRxed.end())
+            {
+                sbCqi = std::vector<uint8_t>(nLayer, 1); // start with lowest value
+            }
+            else
+            {
+                sbCqi = (*itCqi).second.m_higherLayerSelected.at(i).m_sbCqi;
+            }
+            uint8_t cqi1 = sbCqi.at(0);
+            uint8_t cqi2 = 0;
+            if (sbCqi.size() > 1)
+            {
+                cqi2 = sbCqi.at(1);
+            }
+            if ((cqi1 > 0) ||
+                (cqi2 > 0)) // CQI == 0 means "out of range" (see table 7.2.3-1 of 36.213)
+            {
+                if (LcActivePerFlow(*it) > 0)
                 {
-                    if (LcActivePerFlow(*it) > 0)
+                    // this UE has data to transmit
+                    double achievableRate = 0.0;
+                    uint8_t mcs = 0;
+                    for (uint8_t k = 0; k < nLayer; k++)
                     {
-                        // this UE has data to transmit
-                        double achievableRate = 0.0;
-                        uint8_t mcs = 0;
-                        for (uint8_t k = 0; k < nLayer; k++)
+                        if (sbCqi.size() > k)
                         {
-                            if (sbCqi.size() > k)
-                            {
-                                mcs = m_amc->GetMcsFromCqi(sbCqi.at(k));
-                            }
-                            else
-                            {
-                                // no info on this subband -> worst MCS
-                                mcs = 0;
-                            }
-                            achievableRate += ((m_amc->GetDlTbSizeFromMcs(mcs, rbgSize) / 8) /
-                                               0.001); // = TB size / TTI
+                            mcs = m_amc->GetMcsFromCqi(sbCqi.at(k));
                         }
-
-                        double rcqi = achievableRate;
-                        NS_LOG_INFO(this << " RNTI " << (*it) << " MCS " << (uint32_t)mcs
-                                         << " achievableRate " << achievableRate << " RCQI "
-                                         << rcqi);
-
-                        if (rcqi > rcqiMax)
+                        else
                         {
-                            rcqiMax = rcqi;
-                            itMax = it;
+                            // no info on this subband -> worst MCS
+                            mcs = 0;
                         }
+                        achievableRate += ((m_amc->GetDlTbSizeFromMcs(mcs, rbgSize) / 8) /
+                                           0.001); // = TB size / TTI
                     }
-                } // end if cqi
 
-            } // end for m_rlcBufferReq
+                    double rcqi = achievableRate;
+                    NS_LOG_INFO(this << " RNTI " << (*it) << " MCS " << (uint32_t)mcs
+                                     << " achievableRate " << achievableRate << " RCQI " << rcqi);
 
-            if (itMax == m_flowStatsDl.end())
-            {
-                // no UE available for this RB
-                NS_LOG_INFO(this << " any UE found");
+                    if (rcqi > rcqiMax)
+                    {
+                        rcqiMax = rcqi;
+                        itMax = it;
+                    }
+                }
+            } // end if cqi
+
+        } // end for m_rlcBufferReq
+
+        if (itMax == m_flowStatsDl.end())
+        {
+            // no UE available for this RB
+            NS_LOG_INFO(this << " any UE found");
+        }
+        else
+        {
+            rbgMap.at(i) = true;
+            auto itMap = allocationMap.find(*itMax);
+            if (itMap == allocationMap.end())
+            {
+                // insert new element
+                std::vector<uint16_t> tempMap;
+                tempMap.push_back(i);
+                allocationMap[*itMax] = tempMap;
             }
             else
             {
-                rbgMap.at(i) = true;
-                auto itMap = allocationMap.find(*itMax);
-                if (itMap == allocationMap.end())
-                {
-                    // insert new element
-                    std::vector<uint16_t> tempMap;
-                    tempMap.push_back(i);
-                    allocationMap[*itMax] = tempMap;
-                }
-                else
-                {
-                    (*itMap).second.push_back(i);
-                }
-                NS_LOG_INFO(this << " UE assigned " << (*itMax));
+                (*itMap).second.push_back(i);
             }
-        } // end for RBG free
-    }     // end for RBGs
+            NS_LOG_INFO(this << " UE assigned " << (*itMax));
+        }
+    } // end for RBGs
 
     // generate the transmission opportunities by grouping the RBGs of the same RNTI and
     // creating the correspondent DCIs
@@ -1207,25 +1208,23 @@
         // no cqi info about this UE
         return NO_SINR;
     }
-    else
-    {
-        // take the average SINR value among the available
-        double sinrSum = 0;
-        unsigned int sinrNum = 0;
-        for (uint32_t i = 0; i < m_cschedCellConfig.m_ulBandwidth; i++)
-        {
-            double sinr = (*itCqi).second.at(i);
-            if (sinr != NO_SINR)
-            {
-                sinrSum += sinr;
-                sinrNum++;
-            }
-        }
-        double estimatedSinr = (sinrNum > 0) ? (sinrSum / sinrNum) : DBL_MAX;
-        // store the value
-        (*itCqi).second.at(rb) = estimatedSinr;
-        return estimatedSinr;
-    }
+
+    // take the average SINR value among the available
+    double sinrSum = 0;
+    unsigned int sinrNum = 0;
+    for (uint32_t i = 0; i < m_cschedCellConfig.m_ulBandwidth; i++)
+    {
+        double sinr = (*itCqi).second.at(i);
+        if (sinr != NO_SINR)
+        {
+            sinrSum += sinr;
+            sinrNum++;
+        }
+    }
+    double estimatedSinr = (sinrNum > 0) ? (sinrSum / sinrNum) : DBL_MAX;
+    // store the value
+    (*itCqi).second.at(rb) = estimatedSinr;
+    return estimatedSinr;
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/fdmt-ff-mac-scheduler.h ns-3.44/src/lte/model/fdmt-ff-mac-scheduler.h
--- ns-3.43/src/lte/model/fdmt-ff-mac-scheduler.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/fdmt-ff-mac-scheduler.h	2025-03-09 16:55:49.599372000 -0700
@@ -17,7 +17,7 @@
 #include "lte-common.h"
 #include "lte-ffr-sap.h"
 
-#include <ns3/nstime.h>
+#include "ns3/nstime.h"
 
 #include <map>
 #include <set>
@@ -27,8 +27,8 @@
 {
 
 /**
- * \ingroup ff-api
- * \brief Implements the SCHED SAP and CSCHED SAP for a Frequency Domain Maximize Throughput
+ * @ingroup ff-api
+ * @brief Implements the SCHED SAP and CSCHED SAP for a Frequency Domain Maximize Throughput
  * scheduler
  *
  * This class implements the interface defined by the FfMacScheduler abstract class
@@ -38,7 +38,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates the MAC Scheduler interface implementation
      */
@@ -52,8 +52,8 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -74,8 +74,8 @@
 
     /**
      * Transmission mode configuration update
-     * \param rnti the RNTI
-     * \param txMode the transmit mode
+     * @param rnti the RNTI
+     * @param txMode the transmit mode
      */
     void TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode);
 
@@ -87,31 +87,31 @@
 
     /**
      * Csched cell config request function
-     * \param params the CSched cell config request parameters
+     * @param params the CSched cell config request parameters
      */
     void DoCschedCellConfigReq(const FfMacCschedSapProvider::CschedCellConfigReqParameters& params);
 
     /**
      * CSched UE config request function
-     * \param params the CSChed UE config request parameters
+     * @param params the CSChed UE config request parameters
      */
     void DoCschedUeConfigReq(const FfMacCschedSapProvider::CschedUeConfigReqParameters& params);
 
     /**
      * CSched LC config request function
-     * \param params the CSChed LC config request parameters
+     * @param params the CSChed LC config request parameters
      */
     void DoCschedLcConfigReq(const FfMacCschedSapProvider::CschedLcConfigReqParameters& params);
 
     /**
      * CSched LC release request function
-     * \param params the CSched LC release request parameters
+     * @param params the CSched LC release request parameters
      */
     void DoCschedLcReleaseReq(const FfMacCschedSapProvider::CschedLcReleaseReqParameters& params);
 
     /**
      * CSched UE release request function
-     * \param params th CSched UE release request parameters
+     * @param params th CSched UE release request parameters
      */
     void DoCschedUeReleaseReq(const FfMacCschedSapProvider::CschedUeReleaseReqParameters& params);
 
@@ -122,93 +122,93 @@
 
     /**
      * Sched DL RLC buffer request function
-     * \param params the Sched DL RLC buffer request parameters
+     * @param params the Sched DL RLC buffer request parameters
      */
     void DoSchedDlRlcBufferReq(const FfMacSchedSapProvider::SchedDlRlcBufferReqParameters& params);
 
     /**
      * Sched DL paging buffer request function
-     * \param params the Sched DL paging buffer request parameters
+     * @param params the Sched DL paging buffer request parameters
      */
     void DoSchedDlPagingBufferReq(
         const FfMacSchedSapProvider::SchedDlPagingBufferReqParameters& params);
 
     /**
      * Sched DL MAC buffer request function
-     * \param params the Sched DL MAC buffer request parameters
+     * @param params the Sched DL MAC buffer request parameters
      */
     void DoSchedDlMacBufferReq(const FfMacSchedSapProvider::SchedDlMacBufferReqParameters& params);
 
     /**
      * Sched DL trigger request function
      *
-     * \param params FfMacSchedSapProvider::SchedDlTriggerReqParameters&
+     * @param params FfMacSchedSapProvider::SchedDlTriggerReqParameters&
      */
     void DoSchedDlTriggerReq(const FfMacSchedSapProvider::SchedDlTriggerReqParameters& params);
 
     /**
      * Sched DL RACH info request function
-     * \param params the Sched DL RACH info request parameters
+     * @param params the Sched DL RACH info request parameters
      */
     void DoSchedDlRachInfoReq(const FfMacSchedSapProvider::SchedDlRachInfoReqParameters& params);
 
     /**
      * Sched DL CQI info request function
-     * \param params the Sched DL CQI info request parameters
+     * @param params the Sched DL CQI info request parameters
      */
     void DoSchedDlCqiInfoReq(const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params);
 
     /**
      * Sched UL trigger request function
-     * \param params the Sched UL trigger request parameters
+     * @param params the Sched UL trigger request parameters
      */
     void DoSchedUlTriggerReq(const FfMacSchedSapProvider::SchedUlTriggerReqParameters& params);
 
     /**
      * Sched UL noise interference request function
-     * \param params the Sched UL noise interference request parameters
+     * @param params the Sched UL noise interference request parameters
      */
     void DoSchedUlNoiseInterferenceReq(
         const FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters& params);
 
     /**
      * Sched UL SR info request function
-     * \param params the Sched UL SR info request parameters
+     * @param params the Sched UL SR info request parameters
      */
     void DoSchedUlSrInfoReq(const FfMacSchedSapProvider::SchedUlSrInfoReqParameters& params);
 
     /**
      * Sched UL MAC control info request function
-     * \param params the Sched UL MAC control info request parameters
+     * @param params the Sched UL MAC control info request parameters
      */
     void DoSchedUlMacCtrlInfoReq(
         const FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters& params);
 
     /**
      * Sched UL CQI info request function
-     * \param params the Sched UL CQI info request parameters
+     * @param params the Sched UL CQI info request parameters
      */
     void DoSchedUlCqiInfoReq(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params);
 
     /**
      * Get RBG size function
-     * \param dlbandwidth the DL bandwidth
-     * \returns the RBG size
+     * @param dlbandwidth the DL bandwidth
+     * @returns the RBG size
      */
     int GetRbgSize(int dlbandwidth);
 
     /**
      * LC Active per flow function
-     * \param rnti the RNTI
-     * \returns the LC active per flow
+     * @param rnti the RNTI
+     * @returns the LC active per flow
      */
     unsigned int LcActivePerFlow(uint16_t rnti);
 
     /**
      * Estimate UL SNR function
-     * \param rnti the RNTI
-     * \param rb the RB
-     * \returns the UL SINR
+     * @param rnti the RNTI
+     * @param rb the RB
+     * @returns the UL SINR
      */
     double EstimateUlSinr(uint16_t rnti, uint16_t rb);
 
@@ -219,36 +219,36 @@
 
     /**
      * Update DL RLC buffer info function
-     * \param rnti the RNTI
-     * \param lcid the LCID
-     * \param size the size
+     * @param rnti the RNTI
+     * @param lcid the LCID
+     * @param size the size
      */
     void UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size);
     /**
      * Update UL RLC buffer info function
-     * \param rnti the RNTI
-     * \param size the size
+     * @param rnti the RNTI
+     * @param size the size
      */
     void UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size);
 
     /**
-     * \brief Update and return a new process Id for the RNTI specified
+     * @brief Update and return a new process Id for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * @param rnti the RNTI of the UE to be updated
+     * @return the process id  value
      */
     uint8_t UpdateHarqProcessId(uint16_t rnti);
 
     /**
-     * \brief Return the availability of free process for the RNTI specified
+     * @brief Return the availability of free process for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the availability
+     * @param rnti the RNTI of the UE to be updated
+     * @return the availability
      */
     bool HarqProcessAvailability(uint16_t rnti);
 
     /**
-     * \brief Refresh HARQ processes according to the timers
+     * @brief Refresh HARQ processes according to the timers
      *
      */
     void RefreshHarqProcesses();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/fdtbfq-ff-mac-scheduler.cc ns-3.44/src/lte/model/fdtbfq-ff-mac-scheduler.cc
--- ns-3.43/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2025-03-09 16:55:49.599372000 -0700
@@ -12,12 +12,12 @@
 #include "lte-amc.h"
 #include "lte-vendor-specific-parameters.h"
 
-#include <ns3/boolean.h>
-#include <ns3/integer.h>
-#include <ns3/log.h>
-#include <ns3/math.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
+#include "ns3/boolean.h"
+#include "ns3/integer.h"
+#include "ns3/log.h"
+#include "ns3/math.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
 
 #include <cfloat>
 #include <set>
